## Function `healpixRingToNest( k, ringIndex )`

Description:
  Converts a healpix tile index from the RING to the NEST scheme at a given order.

  Note: the `ringIndex` parameter is 0-based, unlike the table row index special token `$index` (a.k.a. `$0`), which is 1-based. So if the HEALpix index is implicitly determined by the table row, the value `$index-1` should be used.

Parameters:
  `k` (integer)
    HEALPix order (0..29)
  `ringIndex` (long integer)
    pixel index in RING scheme

Return Value (long integer):
  pixel index in NEST scheme

See Also:
  HEALPix web site

Signature:
  `long healpixRingToNest(int, long)`